Categories:
  - Reading
License: AGPL-3.0-only
WebSite: https://koreader.rocks/
SourceCode: https://github.com/koreader/koreader
IssueTracker: https://github.com/koreader/koreader/issues
Translation: https://hosted.weblate.org/engage/koreader/
Changelog: https://github.com/koreader/koreader/releases
Liberapay: KOReader

RepoType: git
Repo: https://github.com/koreader/koreader.git

Builds:
  - versionName: v2021.07
    versionCode: 8453
    commit: v2021.07
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild:
      - sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
      - sed -i -e 's/-]\*/.-]*/' base/thirdparty/openssl/CMakeLists.txt
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2021.08
    versionCode: 8518
    commit: v2021.08
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2021.09
    versionCode: 8600
    commit: v2021.09
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2021.10
    versionCode: 8645
    commit: v2021.10
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2021.10.1
    versionCode: 8649
    commit: v2021.10.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2021.11
    versionCode: 8721
    commit: v2021.11
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2021.12
    versionCode: 8789
    commit: v2021.12
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2021.12.1
    versionCode: 8792
    commit: v2021.12.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.01
    versionCode: 8849
    commit: v2022.01
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.02
    versionCode: 8975
    commit: v2022.02
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.03
    versionCode: 9010
    commit: v2022.03
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.03.1
    versionCode: 9017
    commit: v2022.03.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.05
    versionCode: 9083
    commit: v2022.05
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.05.1
    versionCode: 9084
    commit: v2022.05.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.06
    versionCode: 9144
    commit: v2022.06
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.07
    versionCode: 9193
    commit: v2022.07
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.08
    versionCode: 9215
    commit: v2022.08
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc-multilib luarocks p7zip-full ragel
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.10
    versionCode: 9317
    commit: v2022.10
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2022.11
    versionCode: 9455
    commit: v2022.11
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2023.01
    versionCode: 95511
    commit: v2023.01
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2023.01
    versionCode: 95512
    commit: v2023.01
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=arm64 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.01
    versionCode: 95513
    commit: v2023.01
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=x86 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.03
    versionCode: 96601
    commit: v2023.03
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2023.03
    versionCode: 96602
    commit: v2023.03
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=arm64 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.03
    versionCode: 96603
    commit: v2023.03
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=x86 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.04
    versionCode: 97121
    commit: v2023.04
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2023.04
    versionCode: 97122
    commit: v2023.04
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=arm64 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.04
    versionCode: 97123
    commit: v2023.04
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=x86 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.05
    versionCode: 97801
    commit: v2023.05
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2023.05
    versionCode: 97802
    commit: v2023.05
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=arm64 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.05
    versionCode: 97803
    commit: v2023.05
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=x86 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.05.1
    versionCode: 97861
    commit: v2023.05.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2023.05.1
    versionCode: 97862
    commit: v2023.05.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=arm64 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.05.1
    versionCode: 97863
    commit: v2023.05.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=x86 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.06
    versionCode: 98241
    commit: v2023.06
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2023.06
    versionCode: 98242
    commit: v2023.06
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=arm64 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.06
    versionCode: 98243
    commit: v2023.06
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=x86 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.06.1
    versionCode: 98451
    commit: v2023.06.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev release android
    ndk: r15c

  - versionName: v2023.06.1
    versionCode: 98452
    commit: v2023.06.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=arm64 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

  - versionName: v2023.06.1
    versionCode: 98453
    commit: v2023.06.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make gcc-multilib luarocks ragel python-is-python3 wget
        cmake autoconf automake libtool pkg-config nasm gettext libtool-bin libncurses5
    output: koreader-android-*.apk
    rm:
      - platform/ubuntu-touch/
      - platform/win32/
      - platform/kindle/wmctrl
    prebuild: sed -i -e 's|./gradlew|gradle|' platform/android/luajit-launcher/Makefile
    scandelete:
      - base/thirdparty/
      - base/spec/unit/data/
    build: ANDROID_ARCH=x86 NDK=$$NDK$$ SDK=$$SDK$$ ANDROID_FLAVOR=fdroid ./kodev
        release android
    ndk: r15c

AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
VercodeOperation:
  - 10 * %c + 1
  - 10 * %c + 2
  - 10 * %c + 3
UpdateCheckData: https://ota.koreader.rocks/koreader-android-fdroid-latest|(\d+)$|.|(v.*)
CurrentVersion: v2023.06.1
CurrentVersionCode: 98453
